Name:		kdirstat
Version:	2.5.3
Release:	3%{?dist}
Summary:	Graphical Directory Statistics for Used Disk Space

License:	GPL
Group:		Applications/System
URL:		http://kdirstat.sourceforge.net

Source0:	http://kdirstat.sourceforge.net/download/%{name}-%{version}.tar.bz2
Patch0:		kdirstat-2.5.3-desktop.patch

BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	  kdelibs-devel, desktop-file-utils

%description
KDirStat (KDE Directory Statistics) is a utility program that sums up
disk usage for directory trees - very much like the Unix 'du' command.
It can also help you clean up used space.

%prep
%setup -q

%patch0 -p0 -b .

%build
%configure --disable-final --disable-rpath
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
# Fix absolute symlink
rm -f $RPM_BUILD_ROOT%{_docdir}/HTML/en/%{name}/common
ln -s ../common $RPM_BUILD_ROOT%{_docdir}/HTML/en/%{name}/common

desktop-file-install --vendor fedora \
    --add-category X-Fedora \
    --add-category System \
    --delete-original \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications/ \
    $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities/%{name}.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/%{name}
%{_bindir}/%{name}-cache-writer
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/apps/%{name}/
%{_datadir}/apps/kconf_update/*
%{_datadir}/icons/??color/??x??/
%{_docdir}/HTML/*/%{name}/

%changelog
* Thu Jun 29 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 2.5.3-3
- fixed owner of fix_move_to_trash_bin.pl kdirstat.upd in kconf_update

* Tue Jun 13 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 2.5.3-2
- fixed symlink-should-be-relative

* Tue Jun 13 2006 Chitlesh Goorah <chitlesh@fedoraproject.org> - 2.5.3-1
- Initial package.
